/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ResetSamlAuthDataToEmailRequest {
    /// Whether to include deleted users.
    #[serde(rename = "include_deleted", skip_serializing_if = "Option::is_none")]
    pub include_deleted: Option<bool>,
    /// If set to true, the number of users who would be affected is returned.
    #[serde(rename = "dry_run", skip_serializing_if = "Option::is_none")]
    pub dry_run: Option<bool>,
    /// If set to a non-empty array, then users whose IDs are not in the array will be excluded.
    #[serde(rename = "user_ids", skip_serializing_if = "Option::is_none")]
    pub user_ids: Option<Vec<String>>,
}

impl ResetSamlAuthDataToEmailRequest {
    pub fn new() -> ResetSamlAuthDataToEmailRequest {
        ResetSamlAuthDataToEmailRequest {
            include_deleted: None,
            dry_run: None,
            user_ids: None,
        }
    }
}
